### Method

# Gio FileInfo get_symbolic_icon

since: 2.34

#### Declaration [src]

    GIcon*
    g_file_info_get_symbolic_icon (
      GFileInfo* info
    )

#### Description [src]

Gets the symbolic icon for a file.

It is an error to call this if the `GFileInfo` does not contain `G_FILE_ATTRIBUTE_STANDARD_SYMBOLIC_ICON`.

Available since: 2.34

#### Return value

Type: `GIcon`

`GIcon` for the given `info`.

The returned data is owned by the instance.
The return value can be `NULL`.